<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.chinacreator.video.restful.dao.JiYueReverseDao" >

    <select id="getInvokeUrl" resultType="java.util.Map">
        SELECT INVOKEURL, PARAM1, PARAM2 from TB_PROJINVOKEURL_CONF where projname = #{projname} and invokename = #{invokename} and status = '0'
    </select>

    <insert id="addJiyue" parameterType="com.chinacreator.video.restful.bean.JiyueOrderBean">
        INSERT INTO TD_JIYUE_ORDER_WAIT (ID,SERIALID,TYPE,USERMOB,PRODUCTID,ORDERTIME,CANCELTIME,STARTTIME,ENDTIME,CHANNEL,STAFFID,FIRSTSERIALID,
                                         PRMPRODUCTID,PRMSPID) values (to_char(sysdate,'yyyymmddhh24miss')||SEQ_COMMON6.NEXTVAL,#{serialid},#{type},#{usermob},#{productid},
                                                                       to_date(#{ordertime},'yyyy-mm-dd hh24:mi:ss'),to_date(#{canceltime},'yyyy-mm-dd hh24:mi:ss'),to_date(#{starttime},'yyyy-mm-dd hh24:mi:ss'),
                                                                       to_date(#{endtime},'yyyy-mm-dd hh24:mi:ss'),#{channel},#{staffid},#{firstserialid},#{prmproductid},#{prmspid})
    </insert>

</mapper>